# 说明

使用百度翻译API将中文翻译为英文。

# 注意

windows下需要特殊处理编码问题（API要求为UTF-8）。

# 输入格式

- 在程序所在位置下，读取`fanyi.ini`配置文件（请参考模板），设置百度翻译`API`相关信息。
- 命令行第二个参数，读取一个txt文件（需要UTF-8编码），每一行是一句要翻译的内容。

# 依赖

- 依赖`openssl`生成`md5`。
- 依赖`libcurl`访问`https`。
- 依赖[xlnt](https://github.com/tfussell/xlnt)生成`xlsx`。

对于`Debian`系列系统，示例安装`sudo apt install libssl-dev libcurl4-openssl-dev`。

对用`windows`系统，可以使用`vcpkg install xlnt openssl curl[ssl]`。